Spectrum: Filter (pass Hann band)...

A command to modify every selected Spectrum object.

The complex values in the Spectrum are multiplied by real-valued sine shapes and straight lines, according to the following figure:

## Settings

From frequency (Hz) (standard value: 500 Hz)
  the lower edge of the pass band (f1 in the figure). The value zero is special: the filter then acts as a low-pass filter.
To frequency (Hz) (standard value: 1000 Hz)
  the upper edge of the pass band (f2 in the figure). The value zero is special: the filter then acts as a high-pass filter.
Smoothing (Hz) (standard value: 100 Hz)
  the width of the region between pass and stop (w in the figure).

## Usage

Because of its symmetric Hann-like shape, the filter is especially useful for decomposing the Spectrum into consecutive bands. For instance, we can decompose the spectrum into the bands 0-500 Hz, 500-1000 Hz, 1000-2000 Hz, and 2000-"0" Hz:

By adding the four bands together, we get the original spectrum again.

A complementary filter is described at Spectrum: Filter (stop Hann band)....

See the Filtering tutorial for information on the need for smoothing and a comparative discussion of various filters.

### Links to this page

- Sound: Filter (pass Hann band)...